National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-3253 Detail

Description

The MethodClosure class in runtime/MethodClosure.java in Apache Groovy 1.7.0 through 2.4.3 allows remote attackers to execute arbitrary code or cause a denial of service via a crafted serialized object.

Source:  MITRE
Description Last Modified:  08/13/2015

Impact

CVSS v3.0 Severity and Metrics:

Base Score: 9.8 CRITICAL
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H (V3 legend)
Impact Score: 5.9
Exploitability Score: 3.9


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality (C): High
Integrity (I): High
Availability (A): High

CVSS v2.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://groovy-lang.org/security.html Vendor Advisory
http://packetstormsecurity.com/files/132714/Apache-Groovy-2.4.3-Code-Execution.html Mitigation Third Party Advisory VDB Entry
http://rhn.redhat.com/errata/RHSA-2016-0066.html
http://www.oracle.com/technetwork/security-advisory/cpuapr2016v3-2985753.html Patch Third Party Advisory
http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html
http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html Patch Third Party Advisory
http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html
http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html
http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html
http://www.securityfocus.com/archive/1/archive/1/536012/100/0/threaded Mailing List Third Party Advisory VDB Entry
http://www.securityfocus.com/bid/75919 Third Party Advisory VDB Entry
http://www.securityfocus.com/bid/91787 Third Party Advisory VDB Entry
http://www.securitytracker.com/id/1034815
http://www.zerodayinitiative.com/advisories/ZDI-15-365/ Third Party Advisory VDB Entry
https://access.redhat.com/errata/RHSA-2016:1376
https://access.redhat.com/errata/RHSA-2017:2486
https://access.redhat.com/errata/RHSA-2017:2596
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05324755
https://security.gentoo.org/glsa/201610-01
https://security.netapp.com/advisory/ntap-20160623-0001/

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:apache:groovy:1.7.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.3:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.4:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.5:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.6:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.7:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.8:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.9:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.10:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.7.11:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:beta_3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:beta_4:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:rc3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.0:rc4:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.3:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.4:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.5:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.6:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.7:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.8:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.8.9:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.9.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.9.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.9.0:beta_3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:1.9.0:beta_4:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:beta_3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:rc3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.0:rc4:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.3:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.4:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.5:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.6:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.7:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.0.8:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.0:rc3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.3:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.4:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.5:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.6:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.7:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.8:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.1.9:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.0:rc3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.2.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.0:rc3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.1:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.2:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.3:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.4:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.5:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.6:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.7:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.8:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.9:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.10:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.3.11:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:*:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:beta_1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:beta_2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:beta_3:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:beta_4:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:rc1:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.0:rc2:*:*:*:*:*:*
cpe:2.3:a:apache:groovy:2.4.1:*:*:*:*:*:*:*
Configuration 2
Configuration 3
Showing 100 of 120 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

20 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-3253
NVD Published Date:
08/13/2015
NVD Last Modified:
01/18/2018